Describes the log preferences for a WebDriver session.

### Hierarchy

- Preferences

## Index

### Constructors

- constructor

### Properties

- prefs_

### Methods

- setLevel
- toJSON

## Constructors

### constructor

- new Preferences(): Preferences

- #### Returns Preferences

## Properties

### prefs_

prefs_: Map<string, <internal>.Level>

## Methods

### setLevel

- setLevel(type: string | IType, level: <internal>.Level): void

- Sets the desired logging level for a particular log type.

  throws

    {TypeError} if `type` is not a `string`.

  #### Parameters

  - ##### type: string | IType

    The log type.

  - ##### level: <internal>.Level

    The desired log level.

  #### Returns void

### toJSON

- toJSON(): {}

- Converts this instance to its JSON representation.

  #### Returns {}

  The JSON representation of this set of preferences.

  - ##### [key: string]: string

Generated using TypeDoc